Page MenuHomePhabricator

efl_ui_range_display: move events from spin
ClosedPublic

Authored by bu5hm4n on Jul 22 2019, 4:13 AM.

Details

Summary

we concluded min,reached and max,reached should be on every widget that
implements range_display. This here is the start of that work, the
events are moved, next commit fixes all widgets, the last commits
enables tests in the spec unit test.

Thank you vitor for the cxx patch.

ref T7897
ref T7895

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Jul 22 2019, 4:13 AM
bu5hm4n requested review of this revision.Jul 22 2019, 4:13 AM
segfaultxavi requested changes to this revision.Jul 26 2019, 2:38 AM

Breaks c++ examples.

../src/examples/elementary/slider_cxx_example.cc:79:8: error: ‘struct efl::ui::Slider’ has no member named ‘changed_event_cb_add’

Other than that, everything seems fine and I am willing to approve this.

This revision now requires changes to proceed.Jul 26 2019, 2:38 AM

I think i need @vitor.sousa or @felipealmeida here, why is that not working ? it also seems that i cannot cast efl::ui::Slider to efl::ui::Range_Display, do you know why ?

@bu5hm4n

Add this patch:

.

The eo_cxx wrappers don't use inheritance in traditional ways, since the traditional aspects of OOP are handled by C under the hood.
Performing inheritance in C++ too (at least in the traditional virtual way) would simply double the OOP overhead (two virtual table lookups).
So we opted for a "thin layer" using only static inheritance.

Now thinking of it, I think cast would be a better name to downcast.
And having a version of it that works with non-owning pointers would be desirable too.

bu5hm4n updated this revision to Diff 23755.Jul 30 2019, 9:51 AM
bu5hm4n edited the summary of this revision. (Show Details)

fix cxx issue

segfaultxavi accepted this revision.Jul 31 2019, 1:17 AM

Everything fine now!

This revision is now accepted and ready to land.Jul 31 2019, 1:17 AM
Closed by commit rEFLc0082b1c71ed: efl_ui_range_display: move events from spin (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>, committed by segfaultxavi). · Explain WhyJul 31 2019, 1:19 AM
This revision was automatically updated to reflect the committed changes.